Back to home page

Project CMSSW displayed by LXR

 
 

    


File indexing completed on 2025-03-23 15:57:46

0001 #!/bin/sh
0002 
0003 
0004 function die { echo $1: status $2 ;  exit $2; }
0005 
0006 #The two jobs will have different ProductRegistries in their output files but have the same ProcessHistory.
0007 # The ProductRegistry just differ because the internal dependencies between the data products is different
0008 # and PoolOutputModule only stores provenance of 'dropped' data products IFF they are parents of a kept product. 
0009 # The check makes sure the provenance in the ProductRegistry is properly updated when the new file is read
0010 cmsRun ${SCRAM_TEST_PATH}/provenance_prod_cfg.py || die 'Failed in provenance_prod_cfg.py' $?
0011 cmsRun ${SCRAM_TEST_PATH}/provenance_prod_cfg.py  --consumeProd2 || die 'Failed in provenance_prod_cfg.py  --consumeProd2' $?
0012 cmsRun ${SCRAM_TEST_PATH}/provenance_check_cfg.py || die 'Failed test of provenance' $?
0013 
0014 cmsRun ${SCRAM_TEST_PATH}/provenance_prod_cfg.py  --consumeProd2 --diffRun || die 'Failed in provenance_prod_cfg.py  --consumeProd2 --diffRun' $?
0015 cmsRun ${SCRAM_TEST_PATH}/provenance_check_cfg.py || die 'Failed test of provenance with diffRun' $?
0016 
0017 cmsRun ${SCRAM_TEST_PATH}/provenance_prod_cfg.py  --consumeProd2 --diffLumi || die 'Failed in provenance_prod_cfg.py  --consumeProd2 --diffLumi' $?
0018 cmsRun ${SCRAM_TEST_PATH}/provenance_check_cfg.py || die 'Failed test of provenance with diffLumi' $?
0019 
0020 cmsRun ${SCRAM_TEST_PATH}/provenance_prod_cfg.py  --consumeProd2 --diffLumi --diffRun|| die 'Failed in provenance_prod_cfg.py  --consumeProd2 --diffLumi --diffRun' $?
0021 cmsRun ${SCRAM_TEST_PATH}/provenance_check_cfg.py || die 'Failed test of provenance with diffLumi & diffRun' $?